use 5.10.0;
use strict;
use warnings;

package Opendata::GTFS::Type::Calendar;

# ABSTRACT: Calendar
our $AUTHORITY = 'cpan:CSSON'; # AUTHORITY
our $VERSION = '0.0200';

use Opendata::GTFS::Feed::Elk;
use Types::Standard qw/Maybe Str/;

my @columns = qw/
    1 service_id
    1 monday
    1 tuesday
    1 wednesday
    1 thursday
    1 friday
    1 saturday
    1 sunday
    1 start_date
    1 end_date
/;

for (my $i = 0; $i < $#columns; $i += 2) {
    my $required = $columns[$i];
    my $column = $columns[$i + 1];

    has $column => (
        is => 'ro',
        isa => ($required ? Str : Maybe[Str]),
    );
}

__PACKAGE__->meta->make_immutable;

1;

__END__

=pod

=encoding utf-8

=head1 NAME

Opendata::GTFS::Type::Calendar - Calendar

=head1 VERSION

Version 0.0200, released 2016-02-25.

:splint classname Opendata::GTFS::Type::Calendar

=head1 ATTRIBUTES

:splint attributes

=head1 SOURCE

L<https://github.com/Csson/p5-Opendata-GTFS-Feed>

=head1 HOMEPAGE

L<https://metacpan.org/release/Opendata-GTFS-Feed>

=head1 AUTHOR

Erik Carlsson <info@code301.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2016 by Erik Carlsson.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
